/*
 * Copyright (c) 2020.
 * http://www.ulabcare.com
 */

package com.mt.wms.passport.dto;

import com.mt.wms.core.base.BaseDto;
import lombok.*;
import lombok.experimental.Accessors;

/**
 * @author jiff
 * @date 2020/3/26
 * @since 1.0
 */
@EqualsAndHashCode(callSuper = true)
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
@Builder
public class WechatOauthCode2Token extends BaseDto {

    private String openId;

    private String unionId;

    /**
     * 公众号访问令牌
     */
    private String accessToken;
    /**
     * 小程序会话标识
     */
    private String sessionKey;

}
