/*
 * Copyright (c) 2018.
 * http://www.ulabcare.com
 */

package com.mt.wms.core.vo;

import com.mt.wms.core.base.BaseVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;
import lombok.experimental.Accessors;


/**
 * 是否对象
 *
 * @author jiff
 * @date 2018/11/11
 * @since 1.0
 */
@Data
@Accessors(chain = true)
@Builder
@ApiModel("是否对象")
public class WhetherVo extends BaseVo {
    @ApiModelProperty(value = "是否：true、是，false、否", required = true, example = "true")
    private Boolean whether;
}
