package com.mt.wms.empty.vo;

import com.mt.wms.core.base.BaseVo;
import com.mt.wms.core.vo.PageVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Author: LGH
 * @Date: 2022/8/11
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@Builder
@ApiModel(value = "问题解答视图对象", description = "问题解答视图对象")
public class QuestionAnswerVo extends BaseVo implements PageVo.ConvertVo{


    @ApiModelProperty(value = "问题", required = true)
    private String question;

    @ApiModelProperty(value = "解答", required = true)
    private String answer;
}
